net.sf.saxon.serialize

## Class BinaryTextDecoder

- java.lang.Object
- - net.sf.saxon.event.SequenceReceiver
  - - net.sf.saxon.event.ProxyReceiver
    - - net.sf.saxon.serialize.BinaryTextDecoder

- All Implemented Interfaces:
    Result, Receiver

      public class BinaryTextDecoder
      extends ProxyReceiver

  This class generates decodes processing instructions in text output that represent text encoded in base64 binary or hexBinary
  Author:
    Michael H. Kay

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.event.ProxyReceiver

      `nextReceiver`

    - ### Fields inherited from class net.sf.saxon.event.SequenceReceiver

      `pipelineConfiguration, previousAtomic, systemId`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryTextDecoder(Receiver next, Properties details)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processingInstruction(String name, CharSequence value, int locationId, int properties)` Output a processing instruction.
    `void` | `setOutputProperties(Properties details)` Set output properties

    - ### Methods inherited from class net.sf.saxon.event.ProxyReceiver

      `append, attribute, characters, close, comment, endDocument, endElement, getNamePool, getUnderlyingReceiver, namespace, open, setPipelineConfiguration, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startContent, startDocument, startElement, usesTypeAnnotations`

    - ### Methods inherited from class net.sf.saxon.event.SequenceReceiver

      `append, getConfiguration, getPipelineConfiguration, getSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryTextDecoder

          public BinaryTextDecoder(Receiver next,
                           Properties details)
                            throws XPathException

      Throws:
        `XPathException`

  - ### Method Detail

    - #### setOutputProperties

          public void setOutputProperties(Properties details)
                                   throws XPathException

      Set output properties
      Parameters:
        `details` - the output serialization properties
      Throws:
        `XPathException`

    - #### processingInstruction

          public void processingInstruction(String name,
                                   CharSequence value,
                                   int locationId,
                                   int properties)
                                     throws XPathException

      Output a processing instruction.
      Does nothing with this output method, unless the saxon:recognize-binary option is set, and this is the processing instructions hex or b64. The name of the processing instruction may be followed by an encoding name, for example b64.ascii indicates base64-encoded ASCII strings; if no encoding is present, the encoding of the output method is assumed.
      Specified by:
        `processingInstruction` in interface `Receiver`
      Overrides:
        `processingInstruction` in class `ProxyReceiver`
      Parameters:
        `name` - The PI name. This must be a legal name (it will not be checked).
        `value` - The data portion of the processing instruction
        `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
        `properties` - Additional information about the PI.
      Throws:
        `XPathException` - if an error occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.